﻿<script src="https://unpkg.com/imask"></script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
<script>
    $( document ).ready(function() {
        $('.js-example-basic-single').select2();
        var numberMask = IMask(document.getElementById('NgaySinh'), {
          mask: Number,
          scale: 2,
          signed: false,
          thousandsSeparator: '',
          padFractionalZeros: false,
          normalizeZeros: true,
          radix: ',',
          mapToRadix: ['.'] ,
          min: 1,
          max: 31
        });
        var numberMask2 = IMask(document.getElementById('ThangSinh'), {
          mask: Number,
          scale: 2,
          signed: false,
          thousandsSeparator: '',
          padFractionalZeros: false,
          normalizeZeros: true,
          radix: ',',
          mapToRadix: ['.'] ,
          min: 1,
          max: 12
        });
        var numberMask3 = IMask(document.getElementById('NamSinh'), {
          mask: Number,
          scale: 2,
          signed: false,
          thousandsSeparator: '',
          padFractionalZeros: false,
          normalizeZeros: true,
          radix: ',',
          mapToRadix: ['.'] ,
          min: 1900,
          max: 2022
        });
    });
    $('.bntTraCuu').click(function () {
        var DienThoai = $('#DienThoai').val();
        if (DienThoai != '') {
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetThongTinTraCuu", "KiemTra")',
                data: { DienThoai: DienThoai },
                dataType: 'text',
                success: function (data) {
                    if (data != 'NOT_FOUND') {
                        var rs = JSON.parse(data)[0];
                        console.log(rs);
                        $('#HoTen').val(rs.HoTen);
                        $('#CMND').val(rs.CMND);
                        $('#NgaySinh').val(rs.NgayS);
                        $('#ThangSinh').val(rs.ThangS);
                        $('#NamSinh').val(rs.NamS);
                        $('#DienThoai').attr('readonly','true');
                        $('.bntTraCuu').addClass('hide');
                        $('.card-code1').addClass('hide');
                        $('.card-code2').removeClass('hide');
                    } else {
                        $('.card-code1').removeClass('hide');
                        $('.card-code2').addClass('hide');
                    }

                },
                error: function (e) {

                }
            });
        } else {
            alert('Vui lòng điền đủ thông tin!');
        }
    });
    $( "#TinhThanhPho").change(function() {
      var TinhThanhPho = $('#TinhThanhPho').val();
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetQuanHuyenByTinhThanh", "Staff")',
                data: { TinhThanhPho: TinhThanhPho },
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    $('#QuanHuyen').empty();
                    $('#QuanHuyen').append(data);
                },
                error: function (e) {

                }
            });
    });
    $( "#QuanHuyen").change(function() {
      var TinhThanhPho = $('#TinhThanhPho').val();
            var QuanHuyen = $('#QuanHuyen').val();
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetDiaDiemTiemByQuanHuyen", "Staff")',
                data: { TinhThanhPho: TinhThanhPho,QuanHuyen:QuanHuyen },
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    $('#DiaDiemTiem').empty();
                    $('#DiaDiemTiem').append(data);
                },
                error: function (e) {

                }
            });
    });
    $('#QuayLai').click(function () {
        window.location.reload();
    })
    $('#XacNhan').click(function () {
        var DienThoai = $('#DienThoai').val();
        var HoTen = $('#HoTen').val();
        var CMND = $('#CMND').val();
        var NgaySinh = $('#NgaySinh').val();
        var ThangSinh = $('#ThangSinh').val();
        var NamSinh = $('#NamSinh').val();
        var TenVacXin = $('#TenVacXin').val();
        var NgayTiem = $('#NgayTiem').val();
        var TinhThanh = $('#TinhThanhPho').val();
        var QuanHuyen = $('#QuanHuyen').val();
        var DiaDiem = $('#DiaDiemTiem').val();
        var SoLo = $('#SoLo').val();
        if (DienThoai != '' && HoTen != '' && CMND != '' && NgaySinh != '' && ThangSinh != '' && NamSinh != '' && TenVacXin != '' && NgayTiem != '' && TinhThanh != '' && QuanHuyen != '' && DiaDiem != '') {

            $.ajax({
                type: "POST",
                url: '@Url.Action("LuuThongTinPhanAnh", "KiemTra")',
                data: {
                    DienThoai: DienThoai,
                    HoTen: HoTen,
                    CMND: CMND,
                    NgaySinh: NgaySinh,
                    ThangSinh: ThangSinh,
                    NamSinh: NamSinh,
                    TenVacXin: TenVacXin,
                    NgayTiem: NgayTiem,
                    TinhThanhPho: TinhThanh,
                    QuanHuyen: QuanHuyen,
                    DiaDiem: DiaDiem,
                    SoLo: SoLo
                },
                dataType: 'text',
                success: function (data) {
                    if (data == "") {
                        alert('Đã lưu thành công!');
                        window.location.reload();
                    } else {
                        alert('Vui lòng điền ngày tiêm!');
                    }
                },
                error: function (e) {
                }
            });
        } else {
            alert('Vui lòng điền đủ thông tin tin!');
        }
    })
</script>